GET Order Status

Retrieve the status of a specific order by the order ID. Please note that NT8 order IDs are impermanent.

Get order status by ID

GET /v1/api/accounts/{account}/orders/{orderId}/status

Headers

Name
Value

Content-Type

application/json

Authorization

Bearer <token>

Path Parameters

Name
Type
Required
Description

account

string

Required

Name of account in NT8

Query Parameters

Name
Type
Required
Description

orderId

string

Required

ID of the order in NT8

Code Examples

import requests

token = 'my-secret-token'

url = "https://app.crosstrade.io/v1/api/accounts/Sim101/orders/492281fc515e431692da57d957cfebb6/status"
headers = {
    "Authorization": f"Bearer {token}",
    "Content-Type": "application/json"
}

try:
    response = requests.get(url, headers=headers)
    print(f"Response Code: {response.status_code}, Response Text: {response.text}")
except Exception as e:
    print(f"An error occurred: {e}")

Response

WebSocket API

This request can also be made over the WebSocket API. The account and orderId path parameters are passed inside args.

Last updated